<?php

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    RewardStream
 * @subpackage RewardStream/includes
 * @author     Grow Development <daniel@growdevelopment.com>
 */
class RewardStream_Activator {

	/**
	 * Add Pages needed for the plugin
	 *
	 * @since    1.0.0
	 */
	public static function activate() {

		$rewardstream_refer_page_id     = get_option( ' rewardstream_refer_page_id' );

		if ( ! is_int( $rewardstream_refer_page_id ) ) {

			$image_url = REWARDSTREAM_PLUGIN_DIR_URL . '/public/images/refer_a_friend.jpg';
			$link = get_bloginfo( 'url' ) . "/my-account/my-referrals";
			$page_content = "<!-- Public Referral Page Image -->
<div class=\"public-referral-page-image\"><img src=\"" . $image_url . "\" alt=\"Public Referral Page Image\" /></div>
<!-- Public Referral Page Instructions -->
<div class=\"public-referral-page-instructions\">
<h3>Give Your Friends {referee_offer} Off Their First Purchase...</h3>
<p>...And get <strong>{referrer_reward} off your next purchase</strong> for every successful referral. <em>Refer as often as you like!</em></p>
<h3>How To Send A Referral</h3>
<ol>
 <li>Click <a href=\"" . $link . "\">Refer A Friend </a>to get started</li>
 	<li>Sign into your My Account or create a My Account</li>
 	<li>Refer your friends by email, social media, text message, or your personal referral link</li>
 	<li>After your friend makes their first purchase, you'll get {referrer_reward} off your next purchase</li>
</ol>
<a href=\"" . $link . "\"><button class=\"button\" title=\"Refer A Friend\" type=\"submit\">Refer A Friend</button></a>
</div>";

			$new_page = RewardStream::create_page( 'refer', __( 'Refer A Friend', 'rewardstream' ), $page_content, 0 );

			if ( ! is_wp_error( $new_page ) ){
				update_option( 'rewardstream_refer_page_id', $new_page );
			}
		}

		flush_rewrite_rules();

	}

}
